# -*- coding: UTF-8 -*-
#
###
# Application: wah!cade
# File:        seffects.py
# Description: Wah!Cade SoundEffects Class
# Copyright (c) 2009  DrM
###
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
#from constants import *

import sys
import pygame


class seffects:
    """pygame sound class"""

    def __init__(self, debug=False):
        self.debug = debug
        pygame.mixer.pre_init(44100, -16, 8, 768)			
	pygame.init()					
	if not pygame.mixer.get_init():
	    #print "Tring Sound Init"
	    pygame.mixer.init(44100, -16, 8, 768)						
        if debug:
            print "Sound - Mixer: init ok"

    def load_sound(self, soundfile, vol):
        class NoneSound:
            def play(self): pass
        if not pygame.mixer or not pygame.mixer.get_init():
            #print "PyGame MIXER not available!"
            return NoneSound()
        try:
            self.sFXchannel = pygame.mixer.find_channel()
            self.sound = pygame.mixer.Sound(soundfile)
            self.sFXchannel.set_volume(vol/100.0) 
        except pygame.error, message:
            print 'Cannot load sound:', mesage
        return 1

    def play_sound(self):
	if self.sFXchannel.get_busy() == True:
		self.sFXchannel.queue(self.sound) #repeat plays are faster this way (for scrolling)
	else:
		self.sFXchannel.play(self.sound)
        return 1

    def set_volume(self, vol):
    	self.sFXchannel.set_volume(vol/100.0) 
