#!/bin/bash

# generateconfigs.sh
# Part of the Zerogame Project emulation suite for PS3 Linux
# By Jason Carter (jay@zerojay.com)

# At this point in time, this script is completely unused anywhere in Zerogame.
# I was using it as a quick way to zip up my configuration files before I started
# using SVN. Might come in handy later on, much like mametest.sh has, so
# I'm keeping it around.

#Nothing more to see here, really.

cd /root
tar -cpf viceconfig.tar /home/zerogame/.vice/
gzip ./viceconfig.tar

rm /home/zerogame/.mednafen/snaps/*
rm /home/zerogame/.mednafen/sav/*
tar -cpf mednafenconfig.tar /home/zerogame/.mednafen/
gzip ./mednafenconfig.tar

rm /home/zerogame/.mame/nvram/*
tar -cpf mameconfig.tar /home/zerogame/.mame/
gzip ./mameconfig.tar

rm /home/zerogame/.wahcade/files/*
tar -cpf wahcadeconfig.tar /home/zerogame/.wahcade/
gzip ./wahcadeconfig.tar

rm /home/zerogame/.xe/saves/*
tar -cpf xeconfig.tar /home/zerogame/.xe/
gzip ./xeconfig.tar

rm /home/zerogame/.snes9x/sram/*
tar -cpf snes9xconfig.tar /home/zerogame/.snes9x/
gzip ./snes9xconfig.tar
