#!/bin/bash

# repairbluetooth.sh
# Part of the Zerogame Project emulation suite for PS3 Linux
# By Jason Carter (jay@zerojay.com)

# The purpose of this script is to repair/re-pair your PS3 DualShock3/SIXAXIS
# controllers. The PS3 can only be paired and used wirelessly with TWO controllers
# at the same time due to limitations in the Linux Bluetooth stack.

su
service hidd stop
sleep 2
hidd --server --nocheck -n &
sleep 30
killall hidd
sleep 2
service hidd start

