#!/bin/bash

# restoresaves.sh
# Part of the Zerogame Project emulation suite for PS3 Linux
# By Jason Carter (jay@zerojay.com)

# The purpose of this script is to restore a backup of all the user's
# personal files (SRAM, save states, etc...) for the various emulators.

cd /home/zerogame/.zerogame/backups/

cd /
tar -zxvf /home/zerogame/.zerogame/backups/mednafensaves.tar.gz
tar -zxvf /home/zerogame/.zerogame/backups/mamesaves.tar.gz
tar -zxvf /home/zerogame/.zerogame/backups/xesaves.tar.gz
tar -zxvf /home/zerogame/.zerogame/backups/snes9xsaves.tar.gz 

clear
echo "Your backed up saves have been restored."
echo "Returning to Zerogame in 10 seconds."
sleep 10
