#!/bin/bash

# togglefont.sh
# Part of the Zerogame Project emulation suite for PS3 Linux
# By Jason Carter (jay@zerojay.com)

# Let's users select whether to use the new Tall Films   
# Expanded Bold font or the old Return of Ganon font for  
# HD Wah!cade menus.

echo -e "\n"
echo "This script allows you to switch between using the "
echo "new v0.52 default font or the older 'pixelized' "
echo "v0.50/v0.51 font for menu text in HD resolutions."
echo "CTRL-C to cancel"
echo -e "\n"
while true; do
  read -n1 -p "Do you want the New or Old font? [N/O] " togglezgfnt
    echo -e '\n'
    case $togglezgfnt in
	[Nn]* )
	  cp /home/zerogame/.zerogame/layouts/tfe/retrogame-720p/*.lay /home/zerogame/.wahcade/layouts/retrogame-720p/
	  cp /home/zerogame/.zerogame/layouts/tfe/retrogame-720pb/*.lay /home/zerogame/.wahcade/layouts/retrogame-720pb/
	  cp /home/zerogame/.zerogame/layouts/tfe/retrogame-1080p/*.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
	  cp /home/zerogame/.zerogame/layouts/tfe/retrogame-1080pb/*.lay /home/zerogame/.wahcade/layouts/retrogame-1080pb/
	  sleep 1
	  echo "The Wah!cade layouts are now using the New font."
	  echo -e "\n"
	  read -p "Press Enter to exit."
          break;;
	[Oo]* )
	  cp /home/zerogame/.zerogame/layouts/rog/retrogame-720p/*.lay /home/zerogame/.wahcade/layouts/retrogame-720p/
	  cp /home/zerogame/.zerogame/layouts/rog/retrogame-720pb/*.lay /home/zerogame/.wahcade/layouts/retrogame-720pb/
	  cp /home/zerogame/.zerogame/layouts/rog/retrogame-1080p/*.lay /home/zerogame/.wahcade/layouts/retrogame-1080p/
	  cp /home/zerogame/.zerogame/layouts/rog/retrogame-1080pb/*.lay /home/zerogame/.wahcade/layouts/retrogame-1080pb/
	  sleep 1
	  echo "The Wah!cade layouts are now using the Old font."
	  echo -e "\n"
	  read -p "Press Enter to exit."
          break;;
	* ) echo -e "\nPlease answer [N] or [O].";;
    esac
done
