#!/bin/bash

# launchminitube.sh
# Part of the Zerogame Project emulation suite for PS3 Linux
# By Jason Carter (jay@zerojay.com)

# Lauches minitube YouTube viewer from the Tools menu within 
# Zerogame (Wah!cade) and intalls, if needed.

if [ -f /usr/bin/minitube ]; then
  minitube
else
  echo -e "\n"
  echo "minitube YouTube viewer not installed..."
  while true; do
    read -n1 -p "Do you wish to install minitube? [Y/N] " installminitube
      echo -e '\n'
      case $installminitube in
	[Yy]* )
	  echo "To install, enter your root password at the prompt "
	  echo "below, then run the following command:"
	  echo "yum install minitube"
	  echo -e '\n'
	  echo "After installation, close this window and re-run the "
	  echo "'Launch minitube YouTube Viewer' script."
	  echo -e '\n'
	  su
          break;;
	[Nn]* )
	  echo "Aborted."
          sleep 5
          break;;
	* ) echo -e "\nPlease answer yes or no.";;
      esac
  done
fi
