#!/bin/bash

# sixaxisbattery.sh
# Part of the Zerogame Project emulation suite for PS3 Linux
# By Jason Carter (jay@zerojay.com)

if [ -e /sys/bus/hid/devices/0005:054C:0268.0004 ]; then 
  /usr/sbin/hcidump -R -O 0005:054C:0268.0004 | head -n 5 | tail -n 1 | awk '{printf "Controller 1 battery: "$1"/05\n"}'
fi
if [ -e /sys/bus/hid/devices/0005:054C:0268.0005 ]; then
  /usr/sbin/hcidump -R -O 0005:054C:0268.0005 | head -n 5 | tail -n 1 | awk '{printf "Controller 2 battery: "$1"/05\n"}'
fi

