#!/bin/bash

# updatezerogame.sh
# Part of the Zerogame Project emulation suite for PS3 Linux
# By Jason Carter (jay@zerojay.com)

source /home/zerogame/.zerogame/zerogamerc

rm /home/zerogame/.zerogame/update.data
rm /home/zerogame/.zerogame/zerogameupdate*.zgp
#rm /home/zerogame/.zerogame/zerogameupdater.sh

wget -P /home/zerogame/.zerogame/ http://thezerogameproject.com/update.data

source /home/zerogame/.zerogame/update.data
echo ZEROGAMEUPDATEVERSION is $ZEROGAMEUPDATEVERSION
echo ZEROGAMEVERSION is $ZEROGAMEVERSION
echo ZEROGAMEUPDATEUSEBETA is $ZEROGAMEUPDATEUSEBETA
echo ZEROGAMEUPDATEVERSIONBETA is $ZEROGAMEUPDATEVERSIONBETA
echo ZEROGAMEVERSIONBETA is $ZEROGAMEVERSIONBETA

if [ $ZEROGAMEUPDATEUSEBETA -gt 0 ]; then
 if [ $ZEROGAMEUPDATEVERSIONBETA -gt $ZEROGAMEVERSIONBETA ]; then
  echo "Beta update available!"
  sleep 5
  wget -P /home/zerogame/.zerogame/ "$ZEROGAMEUPDATEURLBETA"
  mv /home/zerogame/.zerogame/zerogameupdatebeta$ZEROGAMEUPDATEVERSIONBETA.zgp /home/zerogame/.zerogame/zerogameupdater.sh
  chmod 755 /home/zerogame/.zerogame/zerogameupdater.sh
  xterm -e sudo /home/zerogame/.zerogame/zerogameupdater.sh
 fi
else
 if [ $ZEROGAMEUPDATEVERSION -gt $ZEROGAMEVERSION ]; then
   echo "Update available!"
   sleep 5
   wget -P /home/zerogame/.zerogame/ "$ZEROGAMEUPDATEURL"
   mv /home/zerogame/.zerogame/zerogameupdate$ZEROGAMEUPDATEVERSION.zgp /home/zerogame/.zerogame/zerogameupdater.sh
   chmod 755 /home/zerogame/.zerogame/zerogameupdater.sh
   xterm -e sudo /home/zerogame/.zerogame/zerogameupdater.sh
 fi
fi
