#!/bin/bash

# jzintv-launch.sh
###############################################################
# This script is used to launch the jzintv Intellivision
# emulator with certain command line options.
##############################################################

# jzintv binary
JZINTV_BIN="jzintv"

# determine the last argument which is assumed to be the game's name
eval GAMENAME=\$$#

# launch the game at fullscreen using the specified keyboard hack file
$JZINTV_BIN -f1 -a48000 -B512 --kbdhackfile=/home/zerogame/.jzintv/sixaxis0.kbd "$GAMENAME"

